using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using NetChartControl;

namespace WebForm___TestProject
{
	/// <summary>
	/// Summary description for ImageGenegator.
	/// </summary>
	public class ImageGenegator : System.Web.UI.Page
	{
		protected NetChartControl.NetChart netChart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here

			NetChartSeries series1 = new NetChartSeries();
			series1.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series1.Values.Add(10);
			series1.Values.Add(-20);
			series1.Values.Add(30);
			series1.SeriesColor = Color.Red;
			series1.SeriesName = "Series 1";
			netChart1.AddSeries(series1);
			NetChartSeries series2 = new NetChartSeries();
			series2.SeriesType = NetChartSeriesType.SeriesTypeBar;
			series2.Values.Add(50);
			series2.Values.Add(10);
			series2.Values.Add(-100);
			series2.SeriesColor = Color.Blue;
			series2.SeriesName = "Series 2";
			netChart1.AddSeries(series2);
			NetChartSeries series3 = new NetChartSeries();
			series3.SeriesType = NetChartSeriesType.SeriesTypeArea;
			series3.Values.Add(50);
			series3.Values.Add(-10);
			series3.Values.Add(100);
			series3.SeriesColor = Color.Yellow;
			series3.SeriesName = "Series 3";
			netChart1.AddSeries(series3);
			netChart1.GraphicsMode = NetChartGraphicsMode.GraphicsMode3D;
			netChart1.SeriesExplode = NetChartSeriesExplode.SeriesExplodeFar;
			netChart1.ShadingMode = NetChartShadingMode.ShadingMode1;
			netChart1.ColorMode = NetChartColorMode.ColorModeRGB;
			netChart1.BackgroundMode = NetChartBackgroundMode.BackgroundModeGradient;
			netChart1.SeriesJoin = NetChartSeriesJoin.SeriesJoinGroup;
			netChart1.Height = 400;
			netChart1.Width = 600;
//			netChart1.OutputAsBmp(Response);
			netChart1.OutputAsPng(Response);
//			netChart1.OutputAsJpeg(Response);
//			netChart1.OutputAsGif(Response);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.netChart1 = new NetChartControl.NetChart();
			// 
			// netChart1
			// 
			this.netChart1.AxisColor = System.Drawing.Color.Green;
			this.netChart1.AxisType = NetChartControl.NetChartAxisType.AxisTypeWeekdays;
			this.netChart1.BackgroundMode = NetChartControl.NetChartBackgroundMode.BackgroundModeGradient;
			this.netChart1.ColorMode = NetChartControl.NetChartColorMode.ColorModeRGB;
			this.netChart1.FirstBgColor = System.Drawing.Color.LightBlue;
			this.netChart1.GradientAngle = 45F;
			this.netChart1.GraphicsMode = NetChartControl.NetChartGraphicsMode.GraphicsMode2D;
			this.netChart1.Location = new System.Drawing.Point(17, 17);
			this.netChart1.Name = "netChart1";
			this.netChart1.SecondBgColor = System.Drawing.Color.LightYellow;
			this.netChart1.SeriesExplode = NetChartControl.NetChartSeriesExplode.SeriesExplodeNone;
			this.netChart1.SeriesJoin = NetChartControl.NetChartSeriesJoin.SeriesJoinSingle;
			this.netChart1.ShadingMode = NetChartControl.NetChartShadingMode.ShadingMode0;
			this.netChart1.ShowLabels = true;
			this.netChart1.ShowLegend = true;
			this.netChart1.ShowTitle = true;
			this.netChart1.Size = new System.Drawing.Size(300, 300);
			this.netChart1.SubtitleColor = System.Drawing.Color.Black;
			this.netChart1.SubtitleText = "Copyright by ETC Group, 2006.";
			this.netChart1.TabIndex = 0;
			this.netChart1.TitleColor = System.Drawing.Color.Red;
			this.netChart1.TitleText = "NetChartControl In Action";
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
